> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# マップを取得

> 以前に完了したマップをIDで取得します。



## OpenAPI

````yaml ja/openapi/maps.json GET /v1/maps/{map_id}
openapi: 3.0.3
info:
  title: Maps API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/maps/{map_id}:
    get:
      summary: マップを取得
      description: 以前に完了したマップをIDで取得します。
      parameters:
        - name: map_id
          in: path
          required: true
          description: 取得するマップのユニークな識別子。
          schema:
            type: string
      responses:
        '200':
          description: マップオブジェクトを含む成功したレスポンス。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: このマップのユニークな識別子
                  urls_count:
                    type: integer
                    description: 現在のレスポンスに含まれるURLの数
                  urls:
                    type: array
                    items:
                      type: string
                    description: ページ上で見つかったURLの配列
                  cursor:
                    type: string
                    nullable: true
                    description: 次のURLセットを取得するためのページネーションカーソル。nullの場合、すべてのURLが取得されています。
                  credits_consumed:
                    type: integer
                    nullable: true
                    description: このリクエストで消費されたクレジットの数。実行完了後に設定されるよ。クレジットは請求の基準だよ。
                  cost_usd:
                    type: number
                    nullable: true
                    description: >-
                      このリクエストのUSDでの推定コスト。実行完了後に設定されるよ。消費されたクレジットとプランのレートから計算されるよ
                      — 99%の精度だけど、credits_consumedが正確な値だよ。
        '401':
          description: 無効なAPIキー
        '404':
          description: マップが見つかりません
        '500':
          description: 内部サーバーエラー
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer <token>形式のBearer認証ヘッダー。<token>はあなたの認証トークンです。

````